PSD2 PISP Sandbox

Overview

This service is designed for Third Party Providers who act as Payment Initiation Service Providers and want to initiate a payment order at the request of La Banque Postale clients.  

The Sandbox allows you to do a full end-to-end test before going into Production including:

    • Test the integration of your application with our PISP API
    • Understand the User journey authentication flows
    • Validate the exchange flows between TPP and La Banque Postale

Once Sandbox tests are validated, you can switch to the live APIs. 

Functional details

STET version compatibility: 1.4.2.10

Use cases

    • Payment request on behalf of a merchant
    • Transfer request on behalf of the account's owner
    • Standing-order request on behalf of the account's owner 

Accepted Payment Instruments 

    • SCT Inst : At this stage, La Banque Postale's PIS API provides Single Instant Payment request with one single beneficiary. The minimum amount is 0.01 EUR for SCTInst.
    • Standard SCT : At this stage, La Banque Postale's PIS API provides Single SCT Payment request with one single beneficiary. The minimum amount is 0.01 EUR for SCT (according to the general conditions of La Banque Postale) from 29 March 2022.
    • Domestic payments in non-euro currency : NOT YET AVAILABLE
    • International payments : NOT YET AVAILABLE
    • Multi-transactions payments : NOT YET AVAILABLE

Technical details

 
Responses returned by the SandBox API correspond to Production format. However, they are static regardless of the inputs received.
The API is designed on a REST model using JSON structures.
PIS API works according to the REDIRECT workflow.

Prerequisites

    • Authorization bearer credentials is the oauth2 client credentials token scope pisp. (See also)

    • No need mutual check and authentication using an eIDAS Qualified Certificate to use the Sandbox.

Available operations 

    • Payment request initiation : initiates a payment within La Banque Postale secured environment

    • Retrieval of a payment request : retrieves a previously posted Payment Request, updated with the status in La Banque Postale payment systems

    • Confirmation of a payment request : confirms  a previously posted Payment Initiation in order to complete the process flow. In REDIRECT approach, La Banque Postale must wait for confirmation before executing the Payment Request.

Specificity

    • The resourceIdPSU property is available: this is a transaction identifier that can be communicated to the PSU which has been added to the model in addition to the GET payment-request API standard. This information corresponds to that which appears on the final screen of the Internet banking transfer process.

  Examples

    • Payment request initiation 

POST /payment-requests

Headers:

                            Authorization: Bearer YXdobJusXVkLdG91cm5lc0AAFpbC5jb2
X-REQUEST-ID: 987654321
Content-Type: application/json

                        

Body:

                            {
    "paymentInformationId": "RefIPOblssesp",
    "creationDateTime": "2019-06-26T11:18:22.527+02:00",
    "numberOfTransactions": "1",
    "initiatingParty": {
        "name": "Commercant initiateur"
    },
    "paymentTypeInformation": {
        "serviceLevel": "SEPA",
        "localInstrument": "INST",
        "categoryPurpose": "CASH"
    },
    "beneficiary": {
        "creditorAgent": {
            "bicFi": "BNKAFRPPXXX",
            "name": "CreditorAgentName"
        },
        "creditor": {
            "name": "CreditorName"
        },
        "creditorAccount": {
            "iban": "FR7620041010011408742123456"
        }
    },
    "requestedExecutionDate": "2020-05-13T20:18:30.000+01:00",
    "creditTransferTransaction": [
        {
            "paymentId": {
                "instructionId": "IdInstruction001"
            },
            "requestedExecutionDate": "2020-05-13T20:18:30.000+01:00",
            "instructedAmount": {
                "currency": "EUR",
                "amount": "0.01"
            },
            "beneficiary": {
                "creditorAgent": {
                    "bicFi": "BNKAFRPPXXX",
                    "name": "CreditorAgentName"
                },
                "creditor": {
                    "name": "CreditorName"
                },
                "creditorAccount": {
                    "iban": "FR7620041010011408742123456"
                }
            },
            "remittanceInformation": {
                "unstructured": [
                    "Motif du paiement Oblig"
                ]
            }
        }
    ],
    "supplementaryData": {
        "successfulReportUrl": "https%3A%2F%2Fwww.myTPP.fr%2Fpisp%2Fsuccessful.html",
        "unsuccessfulReportUrl": "https%3A%2F%2Fwww.myTPP.fr%2Fpisp%2Funsuccessful.html"
    }
}

                        

 

    • Retrieval of a payment request

GET /payment-requests/{paymentRequestResourceId}

Headers:

                            Authorization: Bearer YXdobJusXVkLdG91cm5lc0AAFpbC5jb2
X-REQUEST-ID: 987654321
                        

  

    • Confirmation of a payment request 

POST /payment-requests/{paymentRequestResourceId}/confirmation

Headers:

                            Authorization: Bearer YXdobJusXVkLdG91cm5lc0AAFpbC5jb2
X-REQUEST-ID: 987654321
Content-Type: application/json

                        

Body:

                            {
	"psuAuthenticationFactor": "JJKJKJ788GKJKJBK"
}